DEBFTBFS(1)

NAME
debftbfs - list packages that have FTBFS bugs filed

DESCRIPTION
usage: debftbfs [-h] [-d] [-v]

    [--distribution {stable,testing,unstable,experimental}] [--source {auto,udd-mirror.d.n,udd.d.o,bugs.d.o}]

Query udd or bugs.debian.org for all source packages which currently have FTBFS bugs filed against them for a given distribution (default: unstable) in "main". If the psql utility is installed, the data will be queried from udd-mirror.debian.net. Otherwise it will come from udd.debian.org. Querying the former is a bit faster but the data might be not 100% up to date. The result is a line-based list of source package names, their FTBFS bug and the bug title, separated by a space. Only bugs tagged 'ftbfs' and with a severity greater or equal to 'serious' are selected. The result is sorted by source package name, alphabetically ascending.

The three available data sources differ in how fast it is to retrieve the data, how up-to-date the data is and in the chosen heuristic to decide which ftbfs bugs affect which source package in a given distribution. The fastest two data sources are udd-mirror.debian.net and udd.debian.org with the former being around 20% faster than the latter but either finish in under a second. The former will be more outdated than the latter though at is is only a mirror. The slowest method is directly querying bugs.debian.org via its SOAP interface. While querying bugs.debian.org will retrieve the most up-to-date information, the heuristics chosen to decide whether a source package is affected by an ftbfs bug slightly differs to the heuristic used by udd. Differences mostly occur for bugs that were re-assigned to different source packages or have otherwise missing or incorrect metadata stored.

  options:

-h, --help
    show this help message and exit

-d, --debug
    Enable output of debugging messages

-v, --verbose
    Print verbose output

--distribution {stable,testing,unstable,experimental}
    Pick the distribution affected by the FTBFS issue

--source {auto,udd-mirror.d.n,udd.d.o,bugs.d.o}
    Choose the UDD source between udd-mirror.debian.net, udd.debian.org and bugs.debian.org.